Subject: Bug#252: Tabulator and 'p' keys are not working on Mac OS X

From: Tim Lapawa <[email-masked]>
Date: Fri, 28 Jun 2013 08:48:58 +0200

Package: x2goclient
Version: 4.0.1.0

Client side:
Mac Os: 10.8.3
XQuartz: 2.7.4

Server side:
Linux: ubuntu 12.04 LTS
Desktop environment: xfce4

I can log into the desktop and everything seems to work. 
Only two keys are not working!  Tabulator and the p. Yes the single letter p.
That's crazy. At least for me.
I've checked with xev which events arrive at the linux system: 

#FocusOut event, serial 34, synthetic NO, window 0x2000001,
#    mode NotifyGrab, detail NotifyAncestor
#
#FocusIn event, serial 34, synthetic NO, window 0x2000001,
#    mode NotifyUngrab, detail NotifyAncestor
#
#KeymapNotify event, serial 34, synthetic NO, window 0x0,
#    keys:  2   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
#           0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0

Has anyone else seen this before? What can I do to change the mapping of the key?

Best regards
  Tim